> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Action on I-9

> Generate the embedded administrator experience so HR can track I-9 progress and take action on Forms I-9. Covers the request, response, and response elements.

Now that you've generated the employee's I-9 access, administrators can track employees' I-9 progress and take action on Forms I-9. Generate the administrator embedded URL to integrate in your platform.

## Generate administrator access

To generate the token that launches the administrator embedded experience, call the `/employers/{employerId}/admins/{adminId}/generateToken` GET endpoint, setting the employer ID and administrator ID in the path parameters.

A successful call will return the `embeddedUri` within the `token` object to launch the administrator embedded experience.

### Sample request

```bash theme={null}
curl --location 'https://api.symmetry.com/i9/v1/employers/01971d41-b29d-75cf-a308-123456/admins/01972152-29ab-78f4-93ce-123456a0/generateToken' \
--header 'Authorization:Bearer  ••••••'
```

### Sample response

```json theme={null}
{
  "token": {
    "embeddedUri": "https://symmetry.workbright.com/sign_in_with_token?token=123456789"
  }
}
```

#### Response elements

Below are the fields returned in the `token` object.

| Element       | Type   | Description                                                                                                                                                                                                                                                  |
| :------------ | :----- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `embeddedUri` | string | A fully constructed URL to embed within your platform to access the administrator's session. This link embeds the token as a query parameter and can be used to launch the administrator embedded experience. The token it contains is valid for 30 minutes. |

## Action on forms I-9

There are several reasons why an administrator would need to take action on an employee's I-9:

* Completing Section 2
* Generating reports based on completion rates
* Intervening on E-Verify cases
* Acknowledging document verification results
* Reviewing upcoming document expiration dates or receipts

## Embedded administrator experience demo

<iframe src="https://player.vimeo.com/video/1094481320?badge=0&autopause=0&player_id=0&app_id=58479" title="Embedded content" width="100%" height="400" style={{ border: 0, width: "100%", aspectRatio: "16 / 9" }} allowFullScreen />
